module.h File Reference
Include dependency graph for module.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | pw_module_events
| Module events added with pw_module_add_listener. More...

## Macros

#define | PW_TYPE__Module PW_TYPE_OBJECT_BASE "Module"
#define | PW_TYPE_MODULE_BASE PW_TYPE__Module ":"
#define | PIPEWIRE_SYMBOL_MODULE_INIT "pipewire__module_init"
#define | PW_VERSION_MODULE_EVENTS 0
#define | PW_MODULE_PROP_NAME "pipewire.module.name"
| The name of the module. More...

## Functions

struct pw_module * | pw_module_load (struct pw_core *core, const char *name, const char *args, struct pw_client *owner, struct pw_global *parent, struct pw_properties *properties)
struct pw_core * | pw_module_get_core (struct pw_module *module)
| Get the core of a module. More...
struct pw_global * | pw_module_get_global (struct pw_module *module)
| Get the global of a module. More...
const struct pw_module_info * | pw_module_get_info (struct pw_module *module)
| Get the module info. More...
void | pw_module_add_listener (struct pw_module *module, struct spa_hook *listener, const struct pw_module_events *events, void *data)
| Add an event listener to a module. More...
void | pw_module_destroy (struct pw_module *module)
| Destroy a module. More...

## Macro Definition Documentation

## PIPEWIRE_SYMBOL_MODULE_INIT

#define PIPEWIRE_SYMBOL_MODULE_INIT "pipewire__module_init"

## PW_MODULE_PROP_NAME

#define PW_MODULE_PROP_NAME "pipewire.module.name"

The name of the module.

## PW_TYPE__Module

#define PW_TYPE__Module PW_TYPE_OBJECT_BASE "Module"

## PW_TYPE_MODULE_BASE

#define PW_TYPE_MODULE_BASE PW_TYPE__Module ":"

## PW_VERSION_MODULE_EVENTS

#define PW_VERSION_MODULE_EVENTS 0

## Function Documentation

## pw_module_add_listener()

void pw_module_add_listener | ( | struct pw_module * | module,
|  | struct spa_hook * | listener,
|  | const struct pw_module_events * | events,
|  | void * | data
| ) |  |

Add an event listener to a module.

## pw_module_destroy()

void pw_module_destroy | ( | struct pw_module * | module | ) |

Destroy a module.

Referenced by pw_core::pw_core_destroy().

## pw_module_get_core()

struct pw_core* pw_module_get_core | ( | struct pw_module * | module | ) |

Get the core of a module.

## pw_module_get_global()

struct pw_global* pw_module_get_global | ( | struct pw_module * | module | ) |

Get the global of a module.

## pw_module_get_info()

const struct pw_module_info* pw_module_get_info | ( | struct pw_module * | module | ) |

Get the module info.

## pw_module_load()

struct pw_module* pw_module_load | ( | struct pw_core * | core,
|  | const char * | name,
|  | const char * | args,
|  | struct pw_client * | owner,
|  | struct pw_global * | parent,
|  | struct pw_properties * | properties
| ) |  |

Parameters

  name | name of the module
  args | arguments of the module
  owner | optional owner
  parent | parent global
  properties | extra global properties

Referenced by pw_remote_new().